CREATE PROCEDURE GET_PROVEEDOR 
@ID INT,
@PATERNO VARCHAR(30),
@MATERNO VARCHAR(30),
@NOMBRES VARCHAR(30),
@DOCUMENTO VARCHAR(20),
@DOMICILIO VARCHAR(500)
AS BEGIN
SELECT
    P.ID,
    P.PATERNO,
    P.MATERNO,
    P.NOMBRES,
    P.DOCUMENTO,
    P.DOMICILIO
FROM
  PROVEEDOR P
WHERE
	(@ID is NULL OR P.ID = @ID) AND
	(@PATERNO is NULL OR P.PATERNO = @PATERNO) AND
	(@MATERNO is NULL OR P.MATERNO = @MATERNO) AND
	(@NOMBRES is NULL OR P.NOMBRES = @NOMBRES) AND
	(@DOCUMENTO is NULL OR P.DOCUMENTO = @DOCUMENTO) AND
	(@DOMICILIO is NULL OR P.DOMICILIO = @DOMICILIO)
END
